import { Button } from "../button/button";
import microOn from "../../../images/icons/MicroOn.svg";

export const MicroButton: React.FC<any> = ({
  onClick,
  isMuted,
  translation,
}) => {
  const button = {
    icon: microOn,
    active: "mute-control-btn",
    inactive: "mute-control-btn-disable",
    type: "microphone",
  };

  function handleClick() {
    onClick();
  }

  return (
    <div className="toolbar-button-area">
      <Button button={button} active={isMuted} onClick={handleClick}></Button>
    </div>
  );
};
